xfce4-terminal window borders / decorations / widgets being incorrectly drawn (xubuntu 8.04)

Bug #194769 reported by Prosthetic Head on 2008-02-23
32
Affects Status Importance Assigned to Milestone
xfce4-terminal (Ubuntu)
Low
Unassigned
Declined for Intrepid by Lionel Le Folgoc

Bug Description

Binary package hint: xfce4-terminal

I'm using xubuntu 8.04 (up to date as of 22/02/08) on a thinkpad 600e. I upgraded from xubuntu 7.10 a few days ago. When I open an xfce4-terminal window the borders, title bar and widgets are either black or corrupted multicolours (see attachments), this also effects the xfce4-terminal preferences window. No other applications have this problem, and changing the theme does not effect the problem. If i move another window in front of the terminal window sometimes small pieces of colour from the broken title bar seem to leak through and appear on the other window.
This is both cosmetic and functional as it hides the minimise, close, etc widgets and the title. Since this is a commonly used core package in xubuntu i think it is important. Anyone had the same problem on other hardware?
On my thinkpad the 7.10 version worked flawlessly and gnome -terminal works as expected, its just this package so i doubt its specific to my machine.
Thanks

WORKAROUNDS:
   1. Add the following lines to /etc/X11/xorg.conf:

Section "Extensions"
    Option "Composite" "Disable"
EndSection

   2. Install 'gnome-terminal'

sudo apt-get install gnome-terminal

   3. Use xterm

/usr/bin/xterm

Prosthetic Head (propanone) wrote :
Prosthetic Head (propanone) wrote :

another screenshot showing the corrupted colours, not just the black...

afoglia (afoglia) wrote :

I can confirm this. I just upgraded to hardy on my old Sony Vaio (PCG-F590K), and the window decorations are solid black.

afoglia (afoglia) wrote :

I'm upgrading the status to "Confirmed." Not only do I have it, but someone else posted a message about it on the forums. http://ubuntuforums.org/showthread.php?p=4794749#post4794749

Changed in xfce4-terminal:
status: New → Confirmed
Prosthetic Head (propanone) wrote :

Just had a quick look and your sony f590k is listed as using the "NeoMagic MagicMedia™ 256XL+" graphics chip.
My IBM 600E uses the "NeoMagic MagicMedia™ 256AV"
So maybe it is an issue with the driver for this series of NeoMagic chips, and / or how whatever toolkit draws the widgits for the xfce4-terminal talks to it? I'm not an expert on this type of issue, so i could very well be wrong, just a thought :)

Mathias (mathias-w) wrote :

Hi,
I can also confirm this problem. I have a HP Omnibook 4150, upgraded from Xubuntu 7.10 to 8.04. The xfce-terminal worked with 7.10 but there seems to be a problem with 8.04. The terminal is blurry and unusable. I think my 4150 has a Neomagic MagicGraph NM2200 graphics chipset.
My teminal looks like this (found in another description of the problem, not from my screen but it looks excactly like this):
http://launchpadlibrarian.net/10924129/Capture-Xubuntu%20Hardy%20%5BEn%20fonction%5D%20-%20innotek%20VirtualBox.png

Prosthetic Head (propanone) wrote :

Ok, so so far everyone who has reported this problem is using a Neomagic MagicGraph chip, and i think they all have been with the same driver.
Looks like now Hardy is out quite a few people are having the problem with this hardware/software combination.

james_vanb (vanbergenj) wrote :

Problem is extreme on Dell Latitude CP M233ST with NeoMagic 2160 with video controler in Hardy. When entering a command in terminal, nothing shows up. I have to minimize and then maximize the screen and the command will show or hit enter and hope there are no typos. Screen appears split with coloring that looks like it has been corrupted. Terminal virtually unusable. Is there a workaround while this issue is being looked at? I would hate to have to revert back to Gutsy.

For a work around, you can use another terminal emulator (aterm, xterm,
gnome-terminal, etc, etc) or ctrl+alt+f2
Its not ideal and I hope somone who knows about these things has some time
to take a look at it soon.

On Wed, Apr 30, 2008 at 3:19 PM, james_vanb <email address hidden>
wrote:

> Problem is extreme on Dell Latitude CP M233ST with NeoMagic 2160 with
> video controler in Hardy. When entering a command in terminal, nothing
> shows up. I have to minimize and then maximize the screen and the
> command will show or hit enter and hope there are no typos. Screen
> appears split with coloring that looks like it has been corrupted.
> Terminal virtually unusable. Is there a workaround while this issue is
> being looked at? I would hate to have to revert back to Gutsy.
>
> --
> xfce4-terminal window borders / decorations / widgets being incorrectly
> drawn (xubuntu 8.04)
> https://bugs.launchpad.net/bugs/194769
> You received this bug notification because you are a direct subscriber
> of the bug.
>

bartschc (bartschc) wrote :

I want to confirm the bug with xubuntu hardy on a FSC Lifebook Biblio B-2130 with a VGA controller Neomagic Corporation NM2160 [MagicGraph 128XD] 8rev 01)
XFCE4 Terminal is vertically split, letters on window decoration and in terminal nearly unreadable.

Same effect on System - System Control (? "Systemüberwachung" in German).

bartschc (bartschc) wrote :

It seems I can't make a screenshot of the effects. Take a look. I used xfce's built-in utility.

At ubuntuusers in Germany a Thinkpad 600e reported similar problems with terminal and system control.
http://forum.ubuntuusers.de/topic/171499/

bartschc (bartschc) wrote :

Sorry above is screenshot of system control!

this is what a screenshot of the term looks like:

I also have this problem running xubuntu under parallels on Mac OSX. Everything was fine running Gutsy, but after upgrading to Hardy, the terminal is now useless. It is so bad that I can no longer use the terminal. Is there a way to revert back to Gutsy until this issue is solved?

Prosthetic Head (propanone) wrote :

an easier way would be to install an alternative terminal (aterm, xterm,
gnome-terminal, etc) or use the ctrl+alt+f2 if you only want it
occasionally. Its very hard to go back to a previous distro.

On Fri, May 2, 2008 at 12:30 AM, Travis Raphael Miller <email address hidden>
wrote:

> I also have this problem running xubuntu under parallels on Mac OSX.
> Everything was fine running Gutsy, but after upgrading to Hardy, the
> terminal is now useless. It is so bad that I can no longer use the
> terminal. Is there a way to revert back to Gutsy until this issue is
> solved?
>
> --
> xfce4-terminal window borders / decorations / widgets being incorrectly
> drawn (xubuntu 8.04)
> https://bugs.launchpad.net/bugs/194769
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I went ahead and started using xterm as a replacement. I hope though that a
future update will allow me to use the xfce terminal soon.

travis miller

On Fri, May 2, 2008 at 12:48 AM, Prosthetic Head <email address hidden>
wrote:

> an easier way would be to install an alternative terminal (aterm, xterm,
> gnome-terminal, etc) or use the ctrl+alt+f2 if you only want it
> occasionally. Its very hard to go back to a previous distro.
>
> On Fri, May 2, 2008 at 12:30 AM, Travis Raphael Miller <email address hidden>
> wrote:
>
> > I also have this problem running xubuntu under parallels on Mac OSX.
> > Everything was fine running Gutsy, but after upgrading to Hardy, the
> > terminal is now useless. It is so bad that I can no longer use the
> > terminal. Is there a way to revert back to Gutsy until this issue is
> > solved?
> >
> > --
> > xfce4-terminal window borders / decorations / widgets being incorrectly
> > drawn (xubuntu 8.04)
> > https://bugs.launchpad.net/bugs/194769
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
>
> ** Attachment added: "unnamed"
> http://launchpadlibrarian.net/14081417/unnamed
>
> --
> xfce4-terminal window borders / decorations / widgets being incorrectly
> drawn (xubuntu 8.04)
> https://bugs.launchpad.net/bugs/194769
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Geoff Goehle (goehle) wrote :

I can confirm this with a Dell Latitude with a Neomagic graphics card.

I get the exact same behavior with the System Monitor program. I don't know if I should report it as a seperate but or not...

I've got a Dell Latitude CPi D300 (yes, it's ancient:-). No decorations or widgets on my terminal, although it is usable. The tabs and the menu are there and functional as well. The file Xorg.0.log file reports my graphics as

Device "Neomagic Corporation NM2160 [MagicGraph 128XD]"

I can provide more details if desired, cheers.

Same problem here on a Dell Latitude CPi with device identified as Neomagic Corporation NM2200 [MagicGraph 256AV] (rev 20). Looks identical to Matthias's screenshot. I had no problem until upgrade to Hardy.

Prosthetic Head (propanone) wrote :

Yeah, the bug did not exist in 7.10, its new to hardy and seems to afflict
all (or atleast lots of) Neomagic 256 series graphics chips. I think we need
to get the attention of a driver / graphics guru if we are going to get this
fixed.
I'd also be interested to hear if this also affects other distros as a
result of an upstream issue, of if its a xubuntu spescific package issue.

On Tue, May 20, 2008 at 4:48 AM, John Harrington <email address hidden>
wrote:

> Same problem here on a Dell Latitude CPi with device identified as
> Neomagic Corporation NM2200 [MagicGraph 256AV] (rev 20). Looks
> identical to Matthias's screenshot. I had no problem until upgrade to
> Hardy.
>
> --
> xfce4-terminal window borders / decorations / widgets being incorrectly
> drawn (xubuntu 8.04)
> https://bugs.launchpad.net/bugs/194769
> You received this bug notification because you are a direct subscriber
> of the bug.
>

jvin248 (jvin248) wrote :

Fresh HDD install of Xubuntu 8.04 confirms off-colors for all text inside window as well as boarders and double scroll-bars on right-hand side.

HP Pavilion N3290 laptop

lshw has "Silicon Motion SM710 LunxEM VGA compatible controller"

Worked ok under previous Xubuntu's

Using xterm for now... but cannot create launcher items for other programs that need to display inside terminal.

Just installed Xubuntu on a Sony PCG-F450 with a MagicMedia 256AV (NM2200). Same exact symptoms with terminal as described by many above. Any action on this? Let me know if more info needed.

Prosthetic Head (propanone) wrote :

No action i'm aware of yet. Times like this i wish i had more technical
knowledge. I guess this one isn't a priority for the serious devs. That said
it is a base package in Xubuntu so it is a definite priority to many users.
Any one know how best to get the attention of the clever people? If a day of
my time would do it i'd have fixed it by now, but alass, i currently lack
the skills to even know where to look :(

On Sat, Jun 14, 2008 at 5:10 PM, Dennis Cardinale <
<email address hidden>> wrote:

> Just installed Xubuntu on a Sony PCG-F450 with a MagicMedia 256AV
> (NM2200). Same exact symptoms with terminal as described by many above.
> Any action on this? Let me know if more info needed.
>
> --
> xfce4-terminal window borders / decorations / widgets being incorrectly
> drawn (xubuntu 8.04)
> https://bugs.launchpad.net/bugs/194769
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Ok...Wife & child are out of the country, so spent Father's Day digging into this problem. To preface this post, I am *not* a hacker, but I am an engineer and have some analytical abilities. Really, though, I ain't a clue as to what I am doing.

First, I when through the XFCE archives to find the rev history of the terminal. Then I downloaded a few of the revisions and built them to see if a) did the problem always exist, and b) if not, when did start.

It turns out that while 0.2.5.8rc2 from xfce-4.3.99.2 (released 5-nov-06) does *not* have the problem, 0.2.6 from xfce-4.4.0 (released 21-jan-07) does have the problem.

I ran a diff on the two source trees (attached) and found that there are 13 occurrences in some of the source files in 0.2.6 that have the following sequence of code:

#if GTK_CHECK_VERSION(2,10,0) ....some code .... #endif

It seems that building against GTK 2.10 (or later?) adds some additional code for compositing (this was my original suspicion).

As a test, I when through each file of 0.2.6 and changed the code (*please*, someone teach me how to use sed!) so the #if test would always fail, recompiled, and, lo and behold, the problem dissappeared!

I have not tried this with 0.2.8 yet, that is next on my list. But the problem definitely seems to be related to window transparencies.

I think there are two possibilities:

#1) There is a problem with the GTK library with respect to the MediaMagic graphic controllers. This seems most likely, as we are the only ones experience the problem;

#2) There is a problem with the way the terminal code calls the GTK library with respect to compositing, and only the MediaMagic hardware is sensitive to it. This does not seem likely.

This shouldn't be too hard for a decent hacker, there are only about 20-30 lines of code in question. Any way to kick this to the GTK guys?

I will continue my investigation to see if I can come up with anything else.

BTW....to whomever is responsible for the XFCE terminal, perhaps the compositing code should be *completely* removed for the next version. Compiz handles the compositing quite nicely, even on this old Sony, and it doesn't seem that any other XFCE programs have this feature. In the name of consistancy and simplicity, *please* remove compositing from the code!

Why on earth would anyone want a transparent terminal window to begin with, anyway????

james_vanb (vanbergenj) wrote :

Dennis - At the risk of violating some sort of forum rule......

Happy Fathers Day!

Ok...here is a patch against 0.2.8 source code. It comments out all compositing code, and fixes the window rendering problem.

ummmm....btw...no guarantees!

Prosthetic Head (propanone) wrote :

Thanks for all the hard work Dennis.
It may be worth filing a bug against the gtk lib and linking the 2?
I'm not sure why it contains compositing either...

Sorry...my inexperience is showing...here is the proper diff file (I think!).

Question for the real hackers: I am building and installing locally. Can I do like a sudo make install to make the change system wide? Will this mess up my package management?

Couple of notes:

0) I confused myself. I am not running Compiz on the xubuntu sony. I am using the compositor under "Window Manager Tweaks" in the Xfce settings manager. (Compiz is running on one of the other of 3 laptops, and I am working on all of them pretty much simultaneously).

1) Using the Xfce compositor, transparency works just fine for the modified terminal.

2) The first character of the diff file above is missing (don't ask me why!). Attached is yet another copy.

Prosthetic Head (propanone) wrote :

Thank you very much :)
I'll test it when I get home and report back (I'm in a different country at
the moment, without the affected laptop)

On Sun, Jun 15, 2008 at 7:26 PM, Dennis Cardinale <
<email address hidden>> wrote:

> Couple of notes:
>
> 0) I confused myself. I am not running Compiz on the xubuntu sony. I
> am using the compositor under "Window Manager Tweaks" in the Xfce
> settings manager. (Compiz is running on one of the other of 3 laptops,
> and I am working on all of them pretty much simultaneously).
>
> 1) Using the Xfce compositor, transparency works just fine for the
> modified terminal.
>
> 2) The first character of the diff file above is missing (don't ask me
> why!). Attached is yet another copy.
>
>
> ** Attachment added: "Patch try #3"
> http://launchpadlibrarian.net/15341450/Terminal-0.2.8-patch2
>
> --
> xfce4-terminal window borders / decorations / widgets being incorrectly
> drawn (xubuntu 8.04)
> https://bugs.launchpad.net/bugs/194769
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Josh Geller (jrgeller) wrote :

I get the same thing on my IBM 600x Thinkpad, Neomagic drivers.

First, id like to Give Special thanks to Dennis Cardinale for his time and energy spent trying to resolve someone else problem. I think Thats GREAT! now im a newbie to linux, 10 years in gated world as an mcse and ccna. im confused on how to run this script. should i just chmod +x and run it from terminal or should i rename it with a .sh at the end and run it by typing sh termxxxxxxx.sh (enter). ive tried it both ways and doesnt seem to work for me. i get this.
dennis@600e:~/Desktop$ . Terminal-0.2.8-patch2
diff: Terminal-0.2.8/terminal/terminal-app.c: No such file or directory
diff: Terminal-0.2.8-nocomp/terminal/terminal-app.c: No such file or directory
bash: ---: command not found
bash: +++: command not found
bash: @@: command not found
bash: Terminal-0.2.8-patch2: line 17: syntax error near unexpected token `('
bash: Terminal-0.2.8-patch2: line 17: `- if (g_object_get_data (G_OBJECT (screen), "terminal-checked-screen") == NULL)'

dennis@600e:~/Desktop$ sh Terminal-0.2.8-patch2.sh
diff: Terminal-0.2.8/terminal/terminal-app.c: No such file or directory
diff: Terminal-0.2.8-nocomp/terminal/terminal-app.c: No such file or directory
Terminal-0.2.8-patch2.sh: 2: ---: not found
Terminal-0.2.8-patch2.sh: 3: +++: not found
Terminal-0.2.8-patch2.sh: 4: @@: not found
Terminal-0.2.8-patch2.sh: 17: Syntax error: "(" unexpected (expecting "}")

Ive read elsewhere on the web that i need to recompile my kernel to use a patch?

Confused, but delighted that the black bordered terminal is not a figment of my imagination!
Any help will be appreciated( i dont know why i keep this old lappy around i have 6 other computers!)
Dennis Bracamonte
 dennis at ctsincpr dot computer

Gauvain Pocentek (gpocentek) wrote :

Removing the code that causes the trouble is not really a proper solution IMO.
Plus I can't reproduce this bug, which can come from other components (xfwm, X driver, etc...).

No, Dennis B., you do not need to recompile your kernel to make this work, but you do need to download and unpack the original 0.2.8 terminal source into your home directory:

$ cd ~
$ wget http://www.ca-us.xfce.org/archive/xfce-4.4.2/src/Terminal-0.2.8.tar.bz2
$ bunzip Terminal-0.2.8.tar.bz2
$ tar xvf Terminal-0.2.8.tar

Then apply the patch:

$ patch -p0 < Terminal-0.2.8-patch2

Change to the top level source directory, config & make:

$ cd Terminal-0.2.8
$ ./configure
$ make

If you get errors in any of the above steps, you are probably missing some packages & libraries you need. Do "sudo apt-get install" for each missing package (or use synaptic). I know you will need at least build-essential. If you get an error during "make", you probably need to install the package "gettext".

Once you get a good build:

$ cd terminal
$ ./terminal

You should have a clean terminal running now. Notice that you are running a local (not system wide) copy. Nobody answered my question yet about how to make this change system wide without compromising package management.

Hello, Gauvain.

You are absolutely correct! Please note that this bug was originally posted on Feb. 23, 2008. It is now 4 mos. later, with no proper fix. There are many who do not have a working native Xfce terminal.

My goal was to a) help the process along by identifying the area of code with the problem, and b) create a clean build so that I can run a local copy of terminal until a proper fix is released.

I leave it for someone else to fix the actual problem.

Dennis

714snoopy (cwolcott) wrote :

I also have the corrupted Terminal screen after upgrading to Hardy. Also, however, System Monitor is showing similar corruption on my systems (see attachment).

I'm seeing this corruption on two very different machines that I have:

     1) IBM Thinkpad (with the Neomagic NM2200 [MagicGraph 256AV] (rev 20) )

     2) VIA Mini-ITX (not sure of the graphics chip set. I'll post it later.)

It appears this bug is not isolated to the xfce-terminal. Perhaps its in the gtk lib as previously commented?

I hope someone will take this more seriously soon!

/Charlie

Dan Maranville (likuidkewl) wrote :

Confirmed on a Dell Latitude CPi366 with NM2200 MagicGraph 256av.

To those who recommend using other terminals, Aterm is also affected. And Gnome Terminal in a way defeats the "light" nature of Xfce<Unknown if affected to many deps>

Some output from launching Aterm from Xterm session:

aterm has encountered the following problem interacting with X windows:
Request: 64, Error:8(BadMatch (invalid parameter attributes))
in resource: 0x260001E

Janne Siren (merjanne-siren) wrote :

Hi!

I can also confirm this bug with IBM600 and IBM600E laptops. Though for my purposes recompiling xfce4-terminal is not suitable workaround. But I found easier workaround, I added following lines to /etc/X11/xorg.conf:

Section "Extensions"
    Option "Composite" "Disable"
EndSection

At least this works with IBM600 (NeoMagic 128XD) and IBM600E (NeoMagic 256AV).

I do not know how this composite-extension should work, but for my understanding RGBA (referring to function gdk_screen_get_rgba_colormap in the xfce4-terminal code) requires 32bpp framebuffer (24 bits for color and 8 bits for alpha channel). With these very old chips the xubuntu 8.04 LTS uses 16 as default depth, meaning 16 bpp framebuffer with RGB weight 565, thus leaving no space for alpha channel. (Though I do not know has rgba-colormap of gtk and framebuffer bpp any relation.) Anyhow: as composite-extension is not working, it still leaves me wonder why composite-extension is not automatically disabled with these chips at installation phase or when X11 system starts up.

best regards,
     Janne

714snoopy (cwolcott) wrote :

Janne,

Wow! This worked perfectly on my IBM Thinkpad 390X. Thanks for the fix!

/Charlie

Do you Ubuntu and/or Open Office?
www.ubuntu.com
www.openoffice.org

On Mon, Sep 15, 2008 at 08:16, Janne Siren <email address hidden>wrote:

> Hi!
>
> I can also confirm this bug with IBM600 and IBM600E laptops. Though for
> my purposes recompiling xfce4-terminal is not suitable workaround. But I
> found easier workaround, I added following lines to /etc/X11/xorg.conf:
>
> Section "Extensions"
> Option "Composite" "Disable"
> EndSection
>
> At least this works with IBM600 (NeoMagic 128XD) and IBM600E (NeoMagic
> 256AV).
>
> I do not know how this composite-extension should work, but for my
> understanding RGBA (referring to function gdk_screen_get_rgba_colormap
> in the xfce4-terminal code) requires 32bpp framebuffer (24 bits for
> color and 8 bits for alpha channel). With these very old chips the
> xubuntu 8.04 LTS uses 16 as default depth, meaning 16 bpp framebuffer
> with RGB weight 565, thus leaving no space for alpha channel. (Though I
> do not know has rgba-colormap of gtk and framebuffer bpp any relation.)
> Anyhow: as composite-extension is not working, it still leaves me wonder
> why composite-extension is not automatically disabled with these chips
> at installation phase or when X11 system starts up.
>
> best regards,
> Janne
>
> --
> xfce4-terminal window borders / decorations / widgets being incorrectly
> drawn (xubuntu 8.04)
> https://bugs.launchpad.net/bugs/194769
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "xfce4-terminal" source package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: xfce4-terminal
>
> I'm using xubuntu 8.04 (up to date as of 22/02/08) on a thinkpad 600e. I
> upgraded from xubuntu 7.10 a few days ago. When I open an xfce4-terminal
> window the borders, title bar and widgets are either black or corrupted
> multicolours (see attachments), this also effects the xfce4-terminal
> preferences window. No other applications have this problem, and changing
> the theme does not effect the problem. If i move another window in front of
> the terminal window sometimes small pieces of colour from the broken title
> bar seem to leak through and appear on the other window.
> This is both cosmetic and functional as it hides the minimise, close, etc
> widgets and the title. Since this is a commonly used core package in xubuntu
> i think it is important. Anyone had the same problem on other hardware?
> On my thinkpad the 7.10 version worked flawlessly and gnome -terminal works
> as expected, its just this package so i doubt its specific to my machine.
> Thanks
>

Prosthetic Head (propanone) wrote :
Download full text (3.4 KiB)

This works on my 600e and 380z
Thanks very much :)

would be nice if it was properly fixed / automatic as there are still many
thousands of laptops with this chipset in use, and Xubuntu is an ideal
distro for them.

2008/9/16 714snoopy <email address hidden>

> Janne,
>
> Wow! This worked perfectly on my IBM Thinkpad 390X. Thanks for the fix!
>
> /Charlie
>
> Do you Ubuntu and/or Open Office?
> www.ubuntu.com
> www.openoffice.org
>
>
> On Mon, Sep 15, 2008 at 08:16, Janne Siren <<email address hidden>
> >wrote:
>
> > Hi!
> >
> > I can also confirm this bug with IBM600 and IBM600E laptops. Though for
> > my purposes recompiling xfce4-terminal is not suitable workaround. But I
> > found easier workaround, I added following lines to /etc/X11/xorg.conf:
> >
> > Section "Extensions"
> > Option "Composite" "Disable"
> > EndSection
> >
> > At least this works with IBM600 (NeoMagic 128XD) and IBM600E (NeoMagic
> > 256AV).
> >
> > I do not know how this composite-extension should work, but for my
> > understanding RGBA (referring to function gdk_screen_get_rgba_colormap
> > in the xfce4-terminal code) requires 32bpp framebuffer (24 bits for
> > color and 8 bits for alpha channel). With these very old chips the
> > xubuntu 8.04 LTS uses 16 as default depth, meaning 16 bpp framebuffer
> > with RGB weight 565, thus leaving no space for alpha channel. (Though I
> > do not know has rgba-colormap of gtk and framebuffer bpp any relation.)
> > Anyhow: as composite-extension is not working, it still leaves me wonder
> > why composite-extension is not automatically disabled with these chips
> > at installation phase or when X11 system starts up.
> >
> > best regards,
> > Janne
> >
> > --
> > xfce4-terminal window borders / decorations / widgets being incorrectly
> > drawn (xubuntu 8.04)
> > https://bugs.launchpad.net/bugs/194769
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in "xfce4-terminal" source package in Ubuntu: Confirmed
> >
> > Bug description:
> > Binary package hint: xfce4-terminal
> >
> > I'm using xubuntu 8.04 (up to date as of 22/02/08) on a thinkpad 600e. I
> > upgraded from xubuntu 7.10 a few days ago. When I open an xfce4-terminal
> > window the borders, title bar and widgets are either black or corrupted
> > multicolours (see attachments), this also effects the xfce4-terminal
> > preferences window. No other applications have this problem, and changing
> > the theme does not effect the problem. If i move another window in front
> of
> > the terminal window sometimes small pieces of colour from the broken
> title
> > bar seem to leak through and appear on the other window.
> > This is both cosmetic and functional as it hides the minimise, close, etc
> > widgets and the title. Since this is a commonly used core package in
> xubuntu
> > i think it is important. Anyone had the same problem on other hardware?
> > On my thinkpad the 7.10 version worked flawlessly and gnome -terminal
> works
> > as expected, its just this package so i doubt its specific to my machine.
> > Thanks
> >
>
> --
> xfce4-terminal window borders / decorations / widgets being incorrectly
> drawn (xubuntu ...

Read more...

bartschc (bartschc) wrote :

@Janne Siren:

Your workaround also works for me on my FSC Lifebook Biblio B-2130 with a VGA controller Neomagic Corporation NM2160 [MagicGraph 128XD] 8rev 01)!

Thank you! Terminal and System Monitor are OK now.

bartschc

LightVision (reikimarius) wrote :

I know that is a little bit late, but it is a problem of miss-configured xorg.
First of all, excuse my bad english.

This is my xorg.conf that solve the problem of using xfce4-termina in 24 bpp, with compozite -enabled:

I have an intel810e built-in video card

Something I've noticed: disabling from loading alredy built-in options will speed-up xserver loading

Charlie Kravetz (charlie-tca) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. The issue that you reported is one that should be reproducible with the live environment of the Desktop CD of the development release - Lucid Lynx. It would help us greatly if you could test with it so we can work on getting it fixed in the next release of Ubuntu. You can find out more about the development release at http://www.ubuntu.com/testing/ . Thanks again and we appreciate your help.

Changed in xfce4-terminal (Ubuntu):
status: Confirmed → Incomplete

I tried to test this using the Lucid Lynx alpha 3 live cd, but I could not get to a graphical login screen. As it booted, it displayed the message, "could not write bytes: broken pipe," and then a blank screen with four blinking dots at the top. I got to a terminal with <alt><f6>, but the characters were illegible. There appeared to be four identical columns of text on the screen, each with a login line and blinking cursor. The text was distorted in the same way as the text in Matthias's terminal:

http://launchpadlibrarian.net/10924129/Capture-Xubuntu%20Hardy%20%5BEn%20fonction%5D%20-%20innotek%20VirtualBox.png

except more blurred and difficult to read.

As reported earlier, I've got a Dell Latitude CPi with device identified as Neomagic Corporation NM2200 [MagicGraph 256AV] (rev 20).

Charlie Kravetz (charlie-tca) wrote :

The broken pipe bug is bug 500198. It was fix-released on 2010-03-12. Could you try again?

I tried Beta 1 live cd but the result was essentially the same. I don't think there was any broken pipes message, but I wasn't watching the entire boot process. The rest, however, was the same: blank screen with four blinking dots. Got to full screen terminal with <alt><f6>, but it looked just the same as before: four identical columns of illegibly blurred text with what looked like a command line with blinking cursor at the bottom of each column. Terminals 2-5 were the same as 6. Terminal 1 had additional text but the same four blurred columns. Terminal 7 was the blank screen with four blinking dots. I tried entering "startx" (which appeared simultaneously as I typed in each of the four columns), but that just took me to a completely blank screen, and I had to restart the computer with <alt><sysrq><b>.

Charlie Kravetz (charlie-tca) wrote :

Thanks for reporting this bug and any supporting documentation. Since this bug has enough information provided for a developer to begin work, I'm going to mark it as confirmed and let them handle it from here. Thanks for taking the time to make Ubuntu better!

description: updated
Changed in xfce4-terminal (Ubuntu):
importance: Undecided → Low
status: Incomplete → Confirmed
tags: added: karmic lucid xubuntu

This bug has been fixed many years ago.

https://bugzilla.xfce.org/show_bug.cgi?id=5529

Changed in xfce4-terminal (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.